user {{ nginx_user }};
#worker_processes {{ worker_proce }};
#worker_rlimit_nofile {{ worker_rlimit }};
pid /var/run/nginx.pid;
include /etc/nginx/modules-enabled/*.conf;

events {
	worker_connections {{ worker_conne }};
	# multi_accept on;
}

http {

	##
	# Basic Settings
	##

	sendfile on;
	tcp_nopush on;
	tcp_nodelay on;
	keepalive_timeout {{ nginx_keepalive_timeout }};
	types_hash_max_size 2048;
	server_tokens {{ nginx_server_tokens }};
	# client_body_buffer_size {{ nginx_client_body_buffer_size }};
    # client_max_body_size {{ nginx_client_max_body_size }};

	# server_names_hash_bucket_size 64;
	# server_name_in_redirect off;

	include /etc/nginx/mime.types;
	default_type application/octet-stream;

	##
	# SSL Settings
	##

	ssl_protocols {{ nginx_ssl_protocols }}; # Dropping SSLv3, ref: POODLE
	# ssl_prefer_server_ciphers {{ nginx_ssl_prefer_server_ciphers }};

	##
	# Logging Settings
	##

	access_log /var/log/nginx/{{ project_name }}.access.log;
	error_log /var/log/nginx/{{ project_name }}.error.log;

	##
	# Gzip Settings
	##

	gzip on;

	# gzip_vary on;
	# gzip_proxied any;
	# gzip_comp_level 6;
	# gzip_buffers 16 8k;
	# gzip_http_version 1.1;
	# gzip_types text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript;

	##
	# Virtual Host Configs
	##

	include /etc/nginx/conf.d/*.conf;
	include /etc/nginx/sites-enabled/*;
}


#mail {
#	# See sample authentication script at:
#	# http://wiki.nginx.org/ImapAuthenticateWithApachePhpScript
#
#	# auth_http localhost/auth.php;
#	# pop3_capabilities "TOP" "USER";
#	# imap_capabilities "IMAP4rev1" "UIDPLUS";
#
#	server {
#		listen     localhost:110;
#		protocol   pop3;
#		proxy      on;
#	}
#
#	server {
#		listen     localhost:143;
#		protocol   imap;
#		proxy      on;
#	}
#}

